Bug 1120778 - align reported speeds for physical bond and bridge
Summary: align reported speeds for physical bond and bridge
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: vdsm
Classification: oVirt
Component: General
Version: ---
Hardware: x86_64
OS: Linux
unspecified
low vote
Target Milestone: ovirt-4.0.0-alpha
: ---
Assignee: Dan Kenigsberg
QA Contact: Lukas Svaty
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-17 16:05 UTC by Martin Pavlik
Modified: 2019-04-28 10:48 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-13 09:05:04 UTC
oVirt Team: Network
ylavi: ovirt-4.0.0?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

Description Martin Pavlik 2014-07-17 16:05:27 UTC
Description of problem:

There is bridge VLAN172 over VLAN bond0.172 over bond0 = p1p1 + p1p2 on host

vdsClient -s 0 getVdsStats reports VLAN172 spped as 1000 while it should be aligned with bond0.172 which is 2000 (see bellow)

                                 'txRate': '0.0'},
                   'VLAN172': {'name': 'VLAN172',
                               'rxDropped': '0',
                               'rxErrors': '0',
                               'rxRate': '0.0',
---->                          'speed': '1000',
                               'state': 'up',
                               'txDropped': '0',
                               'txErrors': '0',
                               'txRate': '0.0'},
                   'bond0': {'name': 'bond0',
                             'rxDropped': '39',
                             'rxErrors': '1413',
                             'rxRate': '0.0',
---->                        'speed': '2000',
                             'state': 'up',
                             'txDropped': '0',
                             'txErrors': '0',
                             'txRate': '0.0'},
                   'bond0.172': {'name': 'bond0.172',
                                 'rxDropped': '0',
                                 'rxErrors': '0',
                                 'rxRate': '0.0',
--->                             'speed': '2000',
                                 'state': 'up',
                                 'txDropped': '0',
                                 'txErrors': '0',
                                 'txRate': '0.0'},


                  'p1p1': {'name': 'p1p1',
                            'rxDropped': '8',
                            'rxErrors': '1413',
                            'rxRate': '0.0',
--->                        'speed': '1000',
                            'state': 'up',
                            'txDropped': '0',
                            'txErrors': '0',
                            'txRate': '0.0'},
                   'p1p2': {'name': 'p1p2',
                            'rxDropped': '0',
                            'rxErrors': '0',
                            'rxRate': '0.0',
--->                        'speed': '1000',
                            'state': 'up',
                            'txDropped': '0',
                            'txErrors': '0',
                            'txRate': '0.0'},



Version-Release number of selected component (if applicable):
oVirt Engine Version: 3.5.0-0.0.master.20140715172114.git4687dc1.fc19 


How reproducible:
100%

Steps to Reproduce:
1. Create bridged VLAN network
2. assign the VLAN to bonded interface
3. check vdsClient -s 0 getVdsStats on host

Actual results:
vdsClient -s 0 getVdsStats reports VLAN172 spped as 1000 

Expected results:
it should be aligned with bond0.172 which is 2000

Additional info:
this is not serious bug which would influence something, but lets keep things tidy for the future

Comment 3 Yaniv Kaul 2016-03-10 11:20:53 UTC
Are we going to ever fix it, or CLOSE-WONTFIX?

Comment 4 Dan Kenigsberg 2016-03-13 09:05:04 UTC
nic speeds are all lies, anyway.


Note You need to log in before you can comment on or make changes to this bug.